AlertDefinitionCreateException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.AlertDefinitionCreateException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class AlertDefinitionCreateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.CreateFailedException
                          org.hyperic.hq.events.AlertDefinitionCreateException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionCreateException, AlertConditionCreateException, TriggerCreateException

    public class AlertDefinitionCreateException

extends CreateFailedException

Exception class for alert definition creation

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`AlertDefinitionCreateException()`
`AlertDefinitionCreateException(java.lang.String s)`
`AlertDefinitionCreateException(java.lang.String s, java.lang.Throwable t)`
`AlertDefinitionCreateException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertDefinitionCreateException

    public AlertDefinitionCreateException()

### AlertDefinitionCreateException

    public AlertDefinitionCreateException(java.lang.String s)

Parameters:
  `s` -

### AlertDefinitionCreateException

    public AlertDefinitionCreateException(java.lang.Throwable t)

Parameters:
  `t` -

### AlertDefinitionCreateException

    public AlertDefinitionCreateException(java.lang.String s,
                                          java.lang.Throwable t)

Parameters:
  `s` -
  `t` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.